Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

GSA Platform Identifier Update Error

Just wanted to let people know there is a new Pi update but there is a problem with the built in updater.

Pi might show a new update available but when you click update it doesn't update.

To download the latest version you can download it here and install over previous version. https://platform-identifier.gsa-online.de/

Update issue should be fixed tomorrow.

Sorry about that

Comments

  • PI 1.76 always asking me to activate it and it continually keep crashing the whole computer, could there be one more update :) 
  • s4nt0ss4nt0s Houston, Texas
    Can you update to 1.77? We just pushed it a few minutes ago.
Sign In or Register to comment.